#
# This file contains the exhaustive list of biomaj bank properties (except
# process related properties that are generated via the gui).
# Each property is categorized according to its mandatoriness.
# 0 : Mandatory properties
# 1 : Common properties
# 2 : All


data.dir=0
production.directory.chmod=0
bank.num.threads=0
files.num.threads=0
log.files=0
protocol=0
release.dateformat=0
db.name=0
db.fullname=0
server=0
remote.dir=0
remote.files=0
local.files=0
#database.type=0
#database.driver=0
#database.url=0
#database.login=0
#database.password=0
frequency.update=0

offline.dir.name=1
db.type=1
dir.version=1
db.formats=1
http.group.file.date=1
http.parse.file.line=1
http.parse.dir.line=1
http.group.dir.name=1
http.group.file.size=1
http.group.dir.date=1
http.group.file.name=1
do.link.copy=1
keep.old.version=1
release.regexp=1
no.extract=1
release.file=1
username=1
port=1
password=1
target.name=1
url.method=1

#wget.options=2
remote.excluded.files=2
local.files.excluded=2
release.file.compressed=2

extract.threads=2
ftp.timeout=2
ftp.automatic.reconnect=2
ftp.active.mode=2
historic.logfile.level=2
historic.logfile.task=2
historic.logfile.target=2
historic.logfile.properties=2
mail.smtp.host=2
mail.admin=2
mail.from=2
list.files.available=2
visibility.default=2

